%define major 1
%define libname %mklibname judy %{major}
%define develname %mklibname -d judy

Summary:	General purpose dynamic array
Name:		judy
Version:	1.0.5
Release:	%mkrel 8
Group:		System/Libraries
License:	LGPLv2+
URL:		https://sourceforge.net/projects/judy/
Source0:	http://downloads.sf.net/judy/Judy-%{version}.tar.gz
Source1:	README.Fedora
# Make tests use shared instead of static libJudy
Patch0:		Judy-1.0.4-test-shared.patch
# The J1* man pages were incorrectly being symlinked to Judy, rather than Judy1
# This patch corrects that; submitted upstream 2008/11/27
Patch1:		Judy-1.0.4-fix-Judy1-mans.patch

%description
Judy is a C library that provides a state-of-the-art core technology
that implements a sparse dynamic array. Judy arrays are declared
simply with a null pointer. A Judy array consumes memory only when it
is populated, yet can grow to take advantage of all available memory
if desired. Judy's key benefits are scalability, high performance, and
memory efficiency. A Judy array is extensible and can scale up to a
very large number of elements, bounded only by machine memory. Since
Judy is designed as an unbounded array, the size of a Judy array is
not pre-allocated but grows and shrinks dynamically with the array
population.

%package -n	%{libname}
Summary:	General purpose dynamic array
Group:		System/Libraries

%description -n	%{libname}
Judy is a C library that provides a state-of-the-art core technology
that implements a sparse dynamic array. Judy arrays are declared
simply with a null pointer. A Judy array consumes memory only when it
is populated, yet can grow to take advantage of all available memory
if desired. Judy's key benefits are scalability, high performance, and
memory efficiency. A Judy array is extensible and can scale up to a
very large number of elements, bounded only by machine memory. Since
Judy is designed as an unbounded array, the size of a Judy array is
not pre-allocated but grows and shrinks dynamically with the array
population.


%package -n	%{develname}
Summary:	Development libraries and headers for Judy
Group:		Development/C
Requires:	%{libname} >= %{version}-%{release}
Provides:	judy-devel = %{version}-%{release}

%description -n %{develname}
This package contains the development libraries and header files
for developing applications that use the Judy library.

%prep

%setup -q -n judy-%{version}
%patch0 -p1 -b .test-shared
%patch1 -p1 -b .fix-Judy1-mans
cp -p %{SOURCE1} .

%build
%configure \
    --disable-static

make
#%{?_smp_mflags}
# fails to compile properly with parallel make:
# https://sourceforge.net/tracker/index.php?func=detail&aid=2129019&group_id=55753&atid=478138

%check
cd test
./Checkit
cd -

%install
%make_install INSTALL="install -p"

# get rid of static libs and libtool archives
rm -f %{buildroot}%{_libdir}/*.{a,la}

# clean out zero length and generated files from doc tree
rm -rf doc/man
rm -f doc/Makefile* doc/ext/README_deliver
[ -s doc/ext/COPYRIGHT ] || rm -f doc/ext/COPYRIGHT
[ -s doc/ext/LICENSE ] || rm -f doc/ext/LICENSE

%files -n %{libname}
%doc AUTHORS ChangeLog COPYING README README.Fedora examples/
%{_libdir}/libJudy.so.%{major}{,.*}

%files -n %{develname}
%doc doc
%{_includedir}/Judy.h
%{_libdir}/libJudy.so
%{_mandir}/man3/J*.3*


%changelog
* Sun Jun 28 2020 joequant <joequant> 1.0.5-8.mga8
+ Revision: 1599966
- remove arm workaround
+ danf <danf>
- Switch URLs from http: to https:

* Thu Feb 13 2020 umeabot <umeabot> 1.0.5-7.mga8
+ Revision: 1513691
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1.0.5-6.mga7
+ Revision: 1298403
- Mageia 7 Mass Rebuild

* Fri Jun 08 2018 wally <wally> 1.0.5-5.mga7
+ Revision: 1235446
- fix build on aarch64

* Thu Feb 04 2016 umeabot <umeabot> 1.0.5-4.mga6
+ Revision: 934821
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.5-3.mga5
+ Revision: 748552
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.5-2.mga5
+ Revision: 680893
- Mageia 5 Mass Rebuild

* Tue Feb 04 2014 oden <oden> 1.0.5-1.mga5
+ Revision: 581476
- imported package judy

